Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.campaign.webservice
Class WebAppInfo

    java.lang.Object
      com.bea.campaign.webservice.WebAppInfo

    public class WebAppInfo

extends Object

A helper class to encapsulate WebApp deployment information.

Field Summary
`String` | `contextURI` The WebServer accessible base URI of the web app.
`String` | `uri` The uri of the web app files in the EAR or in WLS.

Constructor Summary
`WebAppInfo()` Constructor.
`WebAppInfo(weblogic.servlet.internal.WebAppModule mod)` Constructor.

Method Summary
`static WebAppInfo` | `getDefaultWebAppInfo()` Deprecated The default webapp is no longer separate from the other webapps; it's simply the one mapped to a "/" contextPath.
`static Collection<WebAppInfo>` | `getWebAppInfo()` Get the WebApps defined in the current application.
`static Collection<WebAppInfo>` | `getWebAppInfo(String appName)` Get the WebApps defined in the specified application configuration.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### contextURI

    public String contextURI

  The WebServer accessible base URI of the web app.

  If this is null or empty, then this WebApp is not mapped to a context path. Otherwise, this should always start with "/".

### uri

    public String uri

  The uri of the web app files in the EAR or in WLS.

  This will be relative to the containing EAR.

Constructor Detail

### WebAppInfo

    public WebAppInfo()

  Constructor.

### WebAppInfo

    public WebAppInfo(weblogic.servlet.internal.WebAppModule mod)

  Constructor.

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getWebAppInfo

    public static Collection<WebAppInfo> getWebAppInfo()
                                                throws IllegalStateException

  Get the WebApps defined in the current application.

  Throws
    `IllegalStateException`

### getWebAppInfo

    public static Collection<WebAppInfo> getWebAppInfo(String appName)
                                                throws IllegalStateException

  Get the WebApps defined in the specified application configuration.

  Throws
    `IllegalStateException`

### getDefaultWebAppInfo

    @Deprecated
    public static WebAppInfo getDefaultWebAppInfo()

  Deprecated The default webapp is no longer separate from the other webapps; it's simply the one mapped to a "/" contextPath.

  Get the server's default web app info.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved